givgenarith.h File Reference
Givaro » System

Domain definition for basic type of the language. More...

`#include "givaro/givbasictype.h"`
Include dependency graph for givgenarith.h:

## Data Structures

struct | __givdom_trait_name< T >
| give a name for /read/write More...
class | BaseDomain< T >
| Base Domain. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Typedefs

typedef BaseDomain< char > | CharDom
| char dom
typedef BaseDomain< short > | ShortDom
| short dom
typedef BaseDomain< int > | IntDom
| int dom
typedef BaseDomain< long > | LongDom
| long dom
typedef BaseDomain< float > | FloatDom
| float dom
typedef BaseDomain< double > | DoubleDom
| double dom

## Detailed Description

Domain definition for basic type of the language.